[gnome-panel] redo autogen.sh, don't use gnome-autogen.sh
- From: Alberts Muktupāvels <muktupavels src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [gnome-panel] redo autogen.sh, don't use gnome-autogen.sh
- Date: Sat, 26 Sep 2015 03:29:58 +0000 (UTC)
commit 4e6d8dd82abfa94904c9d7c01402109efa20ba7b
Author: Alberts Muktupāvels <alberts muktupavels gmail com>
Date: Sat Sep 26 04:36:43 2015 +0300
redo autogen.sh, don't use gnome-autogen.sh
https://wiki.gnome.org/Projects/GnomeCommon/Migration
autogen.sh | 48 ++++++++++++++++++++++++++++++++++--------------
1 files changed, 34 insertions(+), 14 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 1ed7169..7347dad 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,22 +1,42 @@
#!/bin/sh
+#
# Run this to generate all the initial makefiles, etc.
-srcdir=`dirname $0`
+srcdir=$(dirname "$0")
test -z "$srcdir" && srcdir=.
-REQUIRED_AUTOMAKE_VERSION=1.9
-REQUIRED_M4MACROS=introspection.m4
+if [ ! -f $srcdir/configure.ac ]; then
+ echo "**Error**: Directory "\'$srcdir\'" does not look like the top-level" \
+ "project directory."
+ exit 1
+fi
-(test -f $srcdir/configure.ac \
- && test -f $srcdir/gnome-panel.doap) || {
- echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
- echo " top-level gnome-panel directory"
- exit 1
-}
+PKG_NAME=$(autoconf --trace 'AC_INIT:$1' "$srcdir/configure.ac")
-which gnome-autogen.sh || {
- echo "You need to install gnome-common."
- exit 1
-}
+if [ "$#" = 0 ] && [ -z "$NOCONFIGURE" ]; then
+ echo "**Warning**: I am going to run 'configure' with no arguments." >&2
+ echo "If you wish to pass any to it, please specify them on the '$0'" \
+ "command line." >&2
+fi
-. gnome-autogen.sh
+set -x
+aclocal --install || exit 1
+glib-gettextize --force --copy || exit 1
+gtkdocize --copy || exit 1
+intltoolize --force --copy --automake || exit 1
+autoreconf --verbose --force --install -Wno-portability || exit 1
+{ set +x; } 2>/dev/null
+
+if [ -z "$NOCONFIGURE" ]; then
+ set -x
+ $srcdir/configure "$@" || exit 1
+ { set +x; } 2>/dev/null
+
+ if [ "$1" = "--help" ]; then
+ exit 0
+ else
+ echo "Now type 'make' to compile $PKG_NAME." || exit 1
+ fi
+else
+ echo "Skipping configure process."
+fi
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]